
Redmine - Patch #31433

Use "icon icon-*" classes for sort-handler, collapsible fieldsets and collapsible versions

2019-05-23 19:59 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Related issues:

Related to Redmine - Patch #24313: Use the regular "icon icon-*" classes for ... Closed

Related to Redmine - Patch #28605: Add the missing icon class to the items wi... Closed

Related to Redmine - Defect #31496: Switch between toggle plus and minus icon... Closed

Associated revisions

Revision 18203 - 2019-05-27 23:19 - Go MAEDA

Use the regular "icon icon-*" classes for sort-handle (#31433).

Patch by Marius BALTEANU.

Revision 18204 - 2019-05-27 23:24 - Go MAEDA

Use the regular "icon icon-*" classes for collapsible fields (#31433).

Patch by Marius BALTEANU.

Revision 18208 - 2019-05-30 09:34 - Go MAEDA

Fix missing icons (#31433).

Patch by Marius BALTEANU.

Revision 18209 - 2019-05-30 09:35 - Go MAEDA

Use "icon icon-*" classes for expandable elements (#31433).

Patch by Marius BALTEANU.

Revision 18210 - 2019-05-30 09:37 - Go MAEDA

Use "icon icon-*" classes for sort elements (#31433).

Patch by Marius BALTEANU.

Revision 18897 - 2019-11-03 09:24 - Go MAEDA

Fix missing icon classes (#31433).

Patch by Marius BALTEANU.

History

#1 - 2019-05-23 20:48 - Go MAEDA

- Target version set to 4.1.0

#2 - 2019-05-25 02:32 - Go MAEDA

- Assignee set to Marius BĂLTEANU

Could you write the intention of this change?
#3 - 2019-05-27 21:42 - Marius BĂLTEANU

- Related to Patch #24313: Use the regular "icon icon-*" classes for all elements with icons added

#4 - 2019-05-27 21:42 - Marius BĂLTEANU

- Related to Patch #28605: Add the missing icon class to the items with icons from the contextual menu added

#5 - 2019-05-27 21:46 - Marius BĂLTEANU

Go MAEDA wrote:

Could you write the intention of this change?

 Yes, it is the same as #24313 or #28605.

#6 - 2019-05-27 23:24 - Go MAEDA

- Status changed from New to Closed

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Committed the patch. Thanks.

#7 - 2019-05-28 09:45 - Marius BĂLTEANU

- Status changed from Closed to Reopened

- Assignee changed from Go MAEDA to Marius BĂLTEANU

I broke something, I'll add a patch to fix it later.

#8 - 2019-05-29 23:38 - Marius BĂLTEANU

- File 0001-Fix-missing-icons.patch added

- File 0002-Use-icon-icon-classes-for-expandable-elements.patch added

- File 0003-Use-icon-icon-classes-for-sort-elements.patch added

Here are three more patches:

- 0001-Fix-missing-icons.patch fixes an issue introduced by me (r18204)

- 0002-Use-icon-icon-classes-for-expandable-elements.patch and 0003-Use-icon-icon-classes-for-sort-elements.patch add the "icon icon-*" classes to

more elements.

#9 - 2019-05-30 09:39 - Go MAEDA

- Status changed from Reopened to Closed

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Marius BALTEANU wrote:

Here are three more patches:

- 0001-Fix-missing-icons.patch fixes an issue introduced by me (r18204)

- 0002-Use-icon-icon-classes-for-expandable-elements.patch and 0003-Use-icon-icon-classes-for-sort-elements.patch add the "icon icon-*"

classes to more elements.

 Committed the patches. Thanks.

#10 - 2019-05-30 09:41 - Marius BĂLTEANU

Go MAEDA wrote:

Marius BALTEANU wrote:

Here are three more patches:

- 0001-Fix-missing-icons.patch fixes an issue introduced by me (r18204)

- 0002-Use-icon-icon-classes-for-expandable-elements.patch and 0003-Use-icon-icon-classes-for-sort-elements.patch add the "icon icon-*"

classes to more elements.

 Committed the patches. Thanks.
 Thanks! I'll take a look again to check if it's everything ok.

#11 - 2019-06-02 11:06 - Marius BĂLTEANU

- Related to Defect #31496: Switch between toggle plus and minus icons for toggle multi select added

#12 - 2019-07-03 08:16 - Yuichi HARADA

Collapsed/Expanded of filters and options in "Issues list, Spent time, Gantt, Calendar" do not worked using for IE11.

I think that maybe the toggleClass is the cause.

source:trunk/public/javascripts/application.js@18204#L75

#13 - 2019-07-03 08:18 - Go MAEDA

- Status changed from Closed to Reopened

#14 - 2019-07-03 09:17 - Marius BĂLTEANU

- Assignee changed from Go MAEDA to Marius BĂLTEANU

#15 - 2019-07-12 09:55 - Marius BĂLTEANU

- Status changed from Reopened to Closed

- Assignee changed from Marius BĂLTEANU to Go MAEDA

The problem is caused by #3058 and it'll be fixed by the patch from #3058#note-96.

#16 - 2019-11-03 08:04 - Marius BĂLTEANU

- File 0001-Fix-missing-icon-classes.patch added

- File projects_list.png added

- File permissions_report.png added

- Status changed from Closed to Reopened

I've just found 2 small issues where the expander icon is missing.

Project list:

 projects_list.png 

Permissions report:

 permissions_report.png 

Attached the fix.

#17 - 2019-11-03 09:28 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

I've just found 2 small issues where the expander icon is missing.

 Confirmed the issues and committed the patch in r18897. Thanks.

Files

0001-Use-the-regular-icon-icon-classes-for-sort-handler.patch 3.92 KB 2019-05-23 Marius BĂLTEANU

0002-Use-the-regular-icon-icon-classes-for-collapsible-fi.patch 4.8 KB 2019-05-23 Marius BĂLTEANU

0001-Fix-missing-icons.patch 5.09 KB 2019-05-29 Marius BĂLTEANU

0002-Use-icon-icon-classes-for-expandable-elements.patch 8.79 KB 2019-05-29 Marius BĂLTEANU

0003-Use-icon-icon-classes-for-sort-elements.patch 2.54 KB 2019-05-29 Marius BĂLTEANU

0001-Fix-missing-icon-classes.patch 1.57 KB 2019-11-03 Marius BĂLTEANU

projects_list.png 80.2 KB 2019-11-03 Marius BĂLTEANU

permissions_report.png 81.8 KB 2019-11-03 Marius BĂLTEANU
